using System;

namespace com.workman.cm3d2.task
{
	public class Task<T> : Task
	{
		public Task()
		{
		}

		public Task(Action<T> action, T param)
		{
			this.action = action;
			this.param = param;
		}

		public override void Execute()
		{
			if (this.action != null)
			{
				this.action(this.param);
			}
		}

		public new Action<T> action;

		public T param;
	}
}
